html, body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  margin: 0;
}

body {
  background: black;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

h1 {
  user-select: none;
  color: white;
  display: flex;
  gap: 8px;

  font-size: 64px;
  font-family: "Monoton";
  font-weight: 400;
}

@media screen and (max-width: 600px) {
  h1 {
    font-size: 35px;
  }
}

.title-segment {
  line-height: 1;
  opacity: 0;
  animation: appear 0.5s ease-in-out 1 forwards,
             float 2s ease-in-out infinite;
}

.title-segment:nth-child(1) { animation-delay: 0.1s; }
.title-segment:nth-child(2) { animation-delay: 0.2s; }
.title-segment:nth-child(3) { animation-delay: 0.3s; }
.title-segment:nth-child(4) { animation-delay: 0.4s; }
.title-segment:nth-child(5) { animation-delay: 0.5s; }
.title-segment:nth-child(6) { animation-delay: 0.6s; }
.title-segment:nth-child(7) { animation-delay: 0.7s; }

@keyframes appear {
	0%   { opacity: 0; scale: 1; }
	50%  { opacity: 0.5; scale: 1.1; }
	100% { opacity: 1; scale: 1; }
}

@keyframes float {
  0% { transform: translateY(0px); }
  50% { transform: translateY(-50px); }
  100% { transform: translateY(0px); }
}
